(function($) {

	
	//page_text_color
	wp.customize('page_text_color', function(value) {
		value.bind(function(newval) {
			$('body').css('color', newval);
		});
	});

	//page_bg_color
    wp.customize('page_bg_color', function(value) {
        value.bind(function(newval) {
            $('body').css('background-color', newval);
        });
    });

	//page_bg_image
	wp.customize('page_bg_image', function(value) {
		value.bind(function(newval) {
			$('body').css('background-image', newval);
		});
	});

	//site_title_color
	wp.customize('site_title_color', function(value) {
		value.bind(function(newval) {
			$('.site-title a:link,.site-title a:visited,.site-title a:hover,.site-title a:active').css('color', newval);
		});
	});

	//page_link_color
	wp.customize('page_link_color', function(value) {
		value.bind(function(newval) {
			$('a:link').css('color', newval);
		});
	});

	//page_link_color_visited
	wp.customize('page_link_color_visited', function(value) {
		value.bind(function(newval) {
			$('a:visited').css('color', newval);
		});
	});

	//page_link_color_hover
	wp.customize('page_link_color_hover', function(value) {
		value.bind(function(newval) {
			$('a:hover').css('color', newval);
		});
	});

	//page_link_color_active
	wp.customize('page_link_color_active', function(value) {
		value.bind(function(newval) {
			$('a:active').css('color', newval);
		});
	});

	//article_bg_color
	wp.customize('article_bg_color', function(value) {
		value.bind(function(newval) {
			$('article').css('background-color', newval);
		});
	});

	//article_title_color
	wp.customize('article_title_color', function(value) {
		value.bind(function(newval) {
			$('.entry-title,.entry-title a:link,.entry-title a:visited,.entry-title a:hover,.entry-title a:active').css('color', newval);
		});
	});

	//headline_color
	wp.customize('headline_color', function(value) {
		value.bind(function(newval) {
			$('h1, h2, h3, h4, h5, h6').css('color', newval);
		});
	});

	//nav_icon_link_color
	wp.customize('nav_icon_link_color', function(value) {
		value.bind(function(newval) {
			$('.nav-open,.nav-close').css('color', newval);
		});
	});

	//nav_icon_bg_color
	wp.customize('nav_icon_bg_color', function(value) {
		value.bind(function(newval) {
			$('.open-icon,.close-icon').css('background-color', newval);
		});
	});

	//nav_link_color
	wp.customize('nav_link_color', function(value) {
		value.bind(function(newval) {
			$('#bny-nav a').css('color', newval);
		});
	});

	//nav_bar_bg_color
	wp.customize('nav_bar_bg_color', function(value) {
		value.bind(function(newval) {
			$('#bny-bar').css('background-color', newval);
		});
	});

	//nav_lv1_bg_color
	wp.customize('nav_lv1_bg_color', function(value) {
		value.bind(function(newval) {
			$('#bny-nav div > ul > li').css('background-color', newval);
		});
	});

	//nav_lv2_bg_color
	wp.customize('nav_lv2_bg_color', function(value) {
		value.bind(function(newval) {
			$('#bny-nav li li a').css('background-color', newval);
		});
	});

	//nav_lv3_bg_color
	wp.customize('nav_lv3_bg_color', function(value) {
		value.bind(function(newval) {
			$('#bny-nav li li li a').css('background-color', newval);
		});
	});

	//nav_submenu_bg_color
	wp.customize('nav_submenu_bg_color', function(value) {
		value.bind(function(newval) {
			$('.sub-menu').css('background-color', newval);
		});
	});

	//nav_item_hover_bg_color
	wp.customize('nav_item_hover_bg_color', function(value) {
		value.bind(function(newval) {
			$('#bny-nav a:hover').css('background-color', newval);
		});
	});

	//nav_narrow_link_color
	wp.customize('nav_narrow_link_color', function(value) {
		value.bind(function(newval) {
			$('#bny-nav a').css('color', newval);
		});
	});

	//nav_narrow_bg_color
	wp.customize('nav_narrow_bg_color', function(value) {
		value.bind(function(newval) {
			$('#bny-bar').css('background-color', newval);
		});
	});

	//nav_narrow_lv1_bg_color
	wp.customize('nav_narrow_lv1_bg_color', function(value) {
		value.bind(function(newval) {
			$('#bny-nav div > ul > li').css('background-color', newval);
		});
	});

	//nav_narrow_lv2_bg_color
	wp.customize('nav_narrow_lv2_bg_color', function(value) {
		value.bind(function(newval) {
			$('#bny-nav li li').css('background-color', newval);
		});
	});

	//nav_narrow_lv3_bg_color
	wp.customize('nav_narrow_lv3_bg_color', function(value) {
		value.bind(function(newval) {
			$('#bny-nav li li li').css('background-color', newval);
		});
	});





	//pagination_link_color
	wp.customize('pagination_link_color', function(value) {
		value.bind(function(newval) {
			$('.pagination a').css('color', newval);
		});
	});

	//pagination_bg_color
	wp.customize('pagination_bg_color', function(value) {
		value.bind(function(newval) {
			$('.nav-links .page-numbers').css('background-color', newval);
		});
	});

	//pagination_hover_bg_color
	wp.customize('pagination_hover_bg_color', function(value) {
		value.bind(function(newval) {
			$('.nav-links .page-numbers:hover').css('background-color', newval);
		});
	});

	//button_link_color
	wp.customize('button_link_color', function(value) {
		value.bind(function(newval) {
			$('.more-button, .search-submit').css('color', newval);
		});
	});

	//button_bg_color
	wp.customize('button_bg_color', function(value) {
		value.bind(function(newval) {
			$('.more-button, .search-submit').css('background-color', newval);
		});
	});

	//button_hover_bg_color
	wp.customize('button_hover_bg_color', function(value) {
		value.bind(function(newval) {
			$('.more-button:hover, .search-submit:hover').css('background-color', newval);
		});
	});

	//search_field_text_color
	wp.customize('search_field_text_color', function(value) {
		value.bind(function(newval) {
			$('.search-field').css('color', newval);
		});
	});

	//search_field_bg_color
	wp.customize('search_field_bg_color', function(value) {
		value.bind(function(newval) {
			$('.search-field').css('background-color', newval);
		});
	});

	//page_top_link_color
	wp.customize('page_top_link_color', function(value) {
		value.bind(function(newval) {
			$('#page_top a').css('color', newval);
		});
	});

	//page_top_bg_color
	wp.customize('page_top_bg_color', function(value) {
		value.bind(function(newval) {
			$('#page_top').css('background-color', newval);
		});
	});

	//page_top_hover_bg_color
	wp.customize('page_top_hover_bg_color', function(value) {
		value.bind(function(newval) {
			$('#page_top a:hover').css('background-color', newval);
		});
	});

	//sticky_article_bg_color
	wp.customize('sticky_article_bg_color', function(value) {
		value.bind(function(newval) {
			$('.sticky').css('background-color', newval);
		});
	});

	//archive_text_color
	wp.customize('archive_text_color', function(value) {
		value.bind(function(newval) {
			$('.archive-item').css('color', newval);
		});
	});

	//archive_bg_color
	wp.customize('archive_bg_color', function(value) {
		value.bind(function(newval) {
			$('.archive-item').css('background-color', newval);
		});
	});

	//widget_link_text_color
	wp.customize('widget_link_text_color', function(value) {
		value.bind(function(newval) {
			$('.widget-area a').css('color', newval);
		});
	});

	//widget_link_bg_color
	wp.customize('widget_link_bg_color', function(value) {
		value.bind(function(newval) {
			$('.widget_recent_entries li,.widget_nav_menu li,.widget_categories li').css('background-color', newval);
		});
	});

	//widget_link_hover_bg_color
	wp.customize('widget_link_hover_bg_color', function(value) {
		value.bind(function(newval) {
			$('.widget_recent_entries li a:hover,.widget_nav_menu li a:hover,.widget_categories li a:hover').css('background-color', newval);
		});
	});

	//widget_calendar_text_color
	wp.customize('widget_calendar_text_color', function(value) {
		value.bind(function(newval) {
			$('#wp-calendar').css('color', newval);
		});
	});

	//widget_calendar_bg_color
	wp.customize('widget_calendar_bg_color', function(value) {
		value.bind(function(newval) {
			$('#wp-calendar').css('background-color', newval);
		});
	});

	//widget_tagcloud_link_color
	wp.customize('widget_tagcloud_link_color', function(value) {
		value.bind(function(newval) {
			$('.tagcloud a').css('color', newval);
		});
	});

	//widget_tagcloud_bg_color
	wp.customize('widget_tagcloud_bg_color', function(value) {
		value.bind(function(newval) {
			$('.tagcloud a').css('background-color', newval);
		});
	});

	//widget_tagcloud_hover_bg_color
	wp.customize('widget_tagcloud_hover_bg_color', function(value) {
		value.bind(function(newval) {
			$('.tagcloud a:hover').css('background-color', newval);
		});
	});

	//comments_submit_color
	wp.customize('comments_submit_color', function(value) {
		value.bind(function(newval) {
			$('.form-submit input').css('color', newval);
		});
	});

	//comments_submit_bg_color
	wp.customize('comments_submit_bg_color', function(value) {
		value.bind(function(newval) {
			$('.form-submit input').css('background-color', newval);
		});
	});

	//comments_submit_hover_bg_color
	wp.customize('comments_submit_hover_bg_color', function(value) {
		value.bind(function(newval) {
			$('.form-submit input:hover').css('background-color', newval);
		});
	});
	
})(jQuery);

